//////////// THIS FILE MUST BE CREATED BY EXECUTING WriteAttributeDefinitionFile ////////////
//////////// DO NOT MODIFY THIS FILE MANUALLY ///////////////////////////////////////////////

#ifndef __NOMAD_4_2_RUNATTRIBUTESDEFINITION__
#define __NOMAD_4_2_RUNATTRIBUTESDEFINITION__

_definition = {
{ "ADD_SEED_TO_FILE_NAMES",  "bool",  "true",  " The flag to add seed to the file names ",  " \n  \n . If \'yes\', the seed is added to the name of output file provided by STATS_FILE \n  \n . Argument: one boolean (\'yes\' or \'no\') \n  \n . Example: ADD_SEED_TO_FILE_NAMES no \n  \n . Default: true\n\n",  "  advanced seed seeds random number run stat stats file history solution solutions  "  , "false" , "false" , "true" },
{ "ANISOTROPIC_MESH",  "bool",  "true",  " MADS uses anisotropic mesh for generating directions ",  " \n  \n . MADS uses anisotropic mesh for generating directions \n  \n . Argument: one boolean ('yes' or 'no') \n  \n . Example: ANISOTROPIC_MESH no \n  \n . Default: true\n\n",  "  advanced mads direction directions anisotropic anisotropy aniso  "  , "true" , "true" , "true" },
{ "ANISOTROPY_FACTOR",  "NOMAD::Double",  "0.1",  " MADS anisotropy factor for mesh size change ",  " \n  \n . Set anisotropy_factor for mesh relative coarsening/refining if the anisotropic \n   mesh is enabled. \n  \n . Argument: one positive real \n  \n . Example: ANISOTROPY_FACTOR 0.05 \n  \n . Default: 0.1\n\n",  "  advanced mads direction directions anisotropic anisotropy aniso  "  , "true" , "true" , "true" },
{ "DIRECTION_TYPE",  "NOMAD::DirectionTypeList",  "ORTHO N+1 QUAD",  " Direction types for Poll steps ",  " \n . Direction types used by Poll steps (Mads and CS) to generate trial points. \n  \n . Several direction types can be defined (one direction type per line). \n  \n . Arguments: direction type in: \n     ORTHO 2N      : OrthoMADS, 2n \n     ORTHO N+1 NEG : OrthoMADS, n+1, with (n+1)th dir = negative sum of \n                                                        the first n dirs \n     ORTHO N+1 QUAD: OrthoMADS, n+1, with (n+1)th dir from quad \n                                                      model optimization \n     N+1 UNI       : MADS with n+1, uniform distribution of dirs \n     SINGLE        : Single direction \n     DOUBLE        : Two opposite directions \n     CS            : Coordinate directions (only with CS_OPTIMIZATION) \n  \n . Examples: \n     . DIRECTION_TYPE N+1 UNI \n     . DIRECTION_TYPE ORTHO 2N \n     . DIRECTION_TYPE DOUBLE \n  \n . Default: ORTHO N+1 QUAD\n\n",  "  advanced poll direction ortho  "  , "true" , "false" , "false" },
{ "DIRECTION_TYPE_SECONDARY_POLL",  "NOMAD::DirectionTypeList",  "DOUBLE",  " Direction types for Mads secondary poll ",  " \n . Direction types for the secondary poll \n  \n . Several direction types can be defined (one direction type per line). \n  \n . Arguments: same as DIRECTION_TYPE \n  \n . If DIRECTION_TYPE is ORTHO 2N or ORTHO N+1 NEG is defined, then the default \n   value for DIRECTION_TYPE_SECONDARY_POLL is DOUBLE. Otherwise, it is SINGLE. \n  \n . Examples: \n     . DIRECTION_TYPE_SECONDARY_POLL ORTHO 2N \n     . DIRECTION_TYPE_SECONDARY_POLL SINGLE \n  \n . See also: DIRECTION_TYPE RHO \n  \n . Default: DOUBLE\n\n",  "  advanced poll direction primary secondary  "  , "true" , "false" , "false" },
{ "FRAME_CENTER_USE_CACHE",  "bool",  "false",  " Find best points in the cache and use them as frame centers ",  " \n . When this parameter is true, when the Update step occurs, the points with \n   the best values are found in the Cache. Multiple points may have the same \n   value. These points are all used as frame centers for the next Search and \n   Poll steps. \n  \n . When this parameter is false, the frame centers (one feasible and one \n   infeasible) are kept from previous iterations. This is the classical \n   MADS algorithm. \n  \n . Default: false\n\n",  "  advanced  "  , "true" , "true" , "true" },
{ "H_MAX_0",  "NOMAD::Double",  "NOMAD::INF",  " Initial value of hMax. ",  " \n . Initial value of hMax. Used for progressive barrier (PB) constraints. \n  \n . Argument: one positive real. \n  \n . Points x such that h(x) > hMax are rejected. h measures the feasibility, or \n   how much the constraints are violated. \n  \n . Example: H_MAX_0 100.0 \n  \n . Default: NOMAD::INF\n\n",  "  advanced hmax h_max constraint constraints pb feasibility progressive barrier  "  , "true" , "false" , "true" },
{ "HOT_RESTART_FILE",  "std::string",  "hotrestart.txt",  " The name of the hot restart file ",  " \n  \n . Name of the file where the information about hot restart is kept. \n  \n  \n . Default: hotrestart.txt\n\n",  "  advanced hot restart file files file interrupt  "  , "false" , "false" , "true" },
{ "HOT_RESTART_ON_USER_INTERRUPT",  "bool",  "false",  " Flag to perform a hot restart on user interrupt ",  " \n  \n . If true, when NOMAD runs and the user does an interruption (CTRL+C), \n   then the parameters can be modified. Upon pressing CTRL+D, the resolution \n   continues where it was stopped, using the modified parameters. \n  \n . If false, when NOMAD runs and the user does an interruption (CTRL+C), \n   the resolution ends. \n  \n . Default: false\n\n",  "  advanced hot restart file files interrupt  "  , "false" , "false" , "true" },
{ "HOT_RESTART_READ_FILES",  "bool",  "false",  " Flag to read hot restart files ",  " \n  \n . If true, the hot restart files (hotRestart.txt and CACHE_FILE) are read \n   when NOMAD is started. If NOMAD is ran twice, the second run starts from \n   where the first run ended. \n  \n . If false, the hot restart files are ignored when NOMAD is started. Two runs \n   in a row will start from the same configuration. \n  \n . See also: HOT_RESTART_WRITE_FILES, CACHE_FILE \n  \n . Default: false\n\n",  "  advanced hot restart file files interrupt  "  , "false" , "false" , "true" },
{ "HOT_RESTART_WRITE_FILES",  "bool",  "false",  " Flag to write hot restart files ",  " \n  \n . If true, when NOMAD ends, write the hot restart files (hotRestart.txt and \n   CACHE_FILE). \n  \n . See also: HOT_RESTART_READ_FILES, CACHE_FILE \n  \n . Default: false\n\n",  "  advanced hot restart file files interrupt  "  , "false" , "false" , "true" },
{ "MAX_ITERATIONS",  "size_t",  "INF",  " The maximum number of iterations of the MADS algorithm ",  " \n  \n . Maximum number of iterations \n  \n . Argument: one positive integer. INF means there is no maximum. \n  \n . Example: MAX_ITERATIONS 1000 \n  \n . Default: INF\n\n",  "  advanced max maximum iteration iterations stop stops stopping criterion criterions  "  , "true" , "true" , "true" },
{ "MAX_ITERATION_PER_MEGAITERATION",  "size_t",  "INF",  " Maximum number of Iterations to generate for each MegaIteration. ",  " \n . Maximum number of Iterations to generate for each MegaIteration. \n  \n . Argument: one positive integer. INF means there is no maximum. \n  \n . If there are few points in the barrier, this parameter has no effect. \n  \n . If FRAME_CENTER_USE_CACHE is false, this parameter has no effect. \n  \n . If there are many points in the barrier, this parameter limits \n   the number of iterations generated. \n   A mixture of feasible and infeasible points of the barrier is used to \n   generate iterations. \n   Each iteration uses a point of the barrier as frame center. \n  \n . Default: INF\n\n",  "  advanced  "  , "true" , "true" , "true" },
{ "MAX_TIME",  "size_t",  "INF",  " Maximum wall-clock time in seconds ",  " \n . Argument: one positive integer. INF means there is no maximum. \n  \n . Example: MAX_TIME 3600 # one hour max \n  \n . Default: INF\n\n",  "  basic clock stop time  "  , "false" , "true" , "true" },
{ "MEGA_SEARCH_POLL",  "bool",  "false",  " Evaluate points generated from Search and Poll steps all at once ",  " \n . If true, generate all points from Search and Poll steps, and then \n   start evaluation. This method is preferred when multiple processes \n   are available in parallel to evaluate points. This way, more processes \n   will work on evaluating points simultaneously. \n  \n . If false, generate points from Search, evaluate them, and then continue \n   to Poll, or to next Search. This is the classic way of evaluation. \n   If multiple processes are available for evaluation, and the Search step \n   generated a single point, only that point is evaluated while the other \n   processes do nothing. \n  \n . Default: false\n\n",  "  advanced  "  , "true" , "true" , "true" },
{ "NB_THREADS_OPENMP",  "int",  "-1",  " The number of threads when OpenMP parallel evaluations \n are enabled ",  " \n  \n . Set the number of threads to be used by OpenMP. \n  \n . Argument: One positive integer, or -1. A value of -1 means OpenMP decides \n   by itself. \n  \n . Example: NB_THREADS_OPENMP 8 \n  \n . Default: -1\n\n",  "  advanced thread threads openmp parallel eval evals evaluation evaluations  "  , "true" , "false" , "true" },
{ "REJECT_UNKNOWN_PARAMETERS",  "bool",  "false",  " Flag to reject unknown parameters when checking validity of parameters ",  " \n  \n . If true, when reading a parameters file, NOMAD will ignore unknown parameters. \n  \n . If false, when reading a parameters file, NOMAD will exit if unknown \n   parameters are present. \n  \n . Default: false\n\n",  "  advanced valid param params parameter parameters ignore  "  , "false" , "false" , "true" },
{ "RHO",  "NOMAD::Double",  "0.1",  " Rho parameter of the progressive barrier ",  " \n . Used to choose if the primary frame center is the feasible or infeasible \n   incumbent. \n  \n . Argument: real \n  \n . If the value is negative, both feasible and infeasible incumbents are \n   treated as primary poll centers. \n  \n . Example: RHO 0.5 \n . Default: 0.1\n\n",  "  advanced primary secondary  "  , "true" , "false" , "true" },
{ "SEED",  "int",  "0",  " The seed for the pseudo-random number generator ",  " \n  \n . Random seed \n  \n . Argument: one nonnegative integer (max UINT32_MAX) \n  \n . The default value is used for each run if the parameter is not provided. \n  \n . The seed is used in the output file names \n  \n . Example: SEED 123456 \n  \n . Default: 0\n\n",  "  advanced seed seeds random number run  "  , "true" , "true" , "true" },
{ "SPECULATIVE_SEARCH",  "bool",  "true",  " MADS speculative search method ",  " \n  \n . MADS speculative search (optimistic strategy) \n  \n . Argument: one boolean ('yes' or 'no') \n  \n . Example: SPECULATIVE_SEARCH no \n  \n . Default: true\n\n",  "  basic mads search speculative  "  , "true" , "true" , "true" },
{ "SPECULATIVE_SEARCH_BASE_FACTOR",  "NOMAD::Double",  "4.0",  " Distance of the MADS speculative search method ",  " \n  \n . The MADS speculative search creates a point in a direction of success from the \n   best incumbent(s). The distance depends on the frame size, the number of search \n   points to be generated and a base factor (>1). \n  \n . Argument: one NOMAD::Double strictly greater than 1. \n  \n . Example: SPECULATIVE_SEARCH_BASE_FACTOR 3.0 \n  \n . Default: 4.0\n\n",  "  advanced mads search speculative  "  , "true" , "true" , "true" },
{ "SPECULATIVE_SEARCH_MAX",  "size_t",  "1",  " MADS speculative search method ",  " \n  \n . Number of points to generate using the MADS speculative search (optimistic \n   strategy) \n  \n . Argument: one positive integer \n  \n . Example: SPECULATIVE_SEARCH_MAX 2 \n  \n . Default: 1\n\n",  "  advanced mads search speculative  "  , "true" , "true" , "true" },
{ "STOP_IF_FEASIBLE",  "bool",  "false",  " Stop algorithm once a feasible point is obtained ",  " \n  \n . Stopping criterion on feasibility. \n  \n . Argument: boolean. \n  \n . Example: \n     . STOP_IF_FEASIBLE true. \n  \n . Default: false\n\n",  "  advanced stopping terminate terminates termination terminations  "  , "false" , "false" , "true" },
{ "STOP_IF_PHASE_ONE_SOLUTION",  "bool",  "false",  " Stop algorithm once a phase one solution is obtained ",  " \n  \n . Stopping criterion on feasibility. Used by the Phase One algorithm \n   to obtain a feasible point when EB (Extreme Barrier) constraints \n   are set and the starting point is infeasible. \n  \n . A Phase One solution is a point for which the EB constraints are \n   satisfied. Any PB (Progressive Barrier) constraints are ignored. \n  \n . Argument: boolean. \n  \n . Example: \n     . STOP_IF_PHASE_ONE_SOLUTION true. \n  \n . Default: false\n\n",  "  advanced stopping terminate terminates termination terminations phase one   "  , "false" , "false" , "true" },
{ "USER_CALLS_ENABLED",  "bool",  "true",  " Controls the automatic calls to user function ",  " \n . If true the user functions are called (update_iteration, ...) \n  \n . Default: true\n\n",  "  advanced user users callback function functions  "  , "false" , "true" , "true" } };

#endif
